Bug 195664 - dns/dnscrypt-proxy: Update to 1.4.2
Summary: dns/dnscrypt-proxy: Update to 1.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2014-12-04 01:17 UTC by lightside
Modified: 2015-01-04 18:12 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
Proposed patch (since 373758 revision) (1022 bytes, patch)
2014-12-04 01:17 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10 amd64) (12.05 KB, application/x-zip-compressed)
2014-12-04 01:17 UTC, lightside
no flags Details
Proposed patch (with changed pkg-descr file) (2.25 KB, patch)
2014-12-04 02:12 UTC, lightside
no flags Details | Diff
Proposed patch (with additions and changes) (2.71 KB, patch)
2014-12-04 03:07 UTC, lightside
koobs: maintainer-approval+
Details | Diff
Proposed patch (with additions and changes) (3.02 KB, patch)
2015-01-01 21:17 UTC, lightside
lightside: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2014-12-04 01:17:00 UTC
Created attachment 150164 [details]
Proposed patch (since 373758 revision)

Patch to update dns/dnscrypt-proxy port from 1.4.0 to 1.4.2 version.

Look following link for changes:
https://github.com/jedisct1/dnscrypt-proxy/compare/1.4.0...1.4.2
Comment 1 lightside 2014-12-04 01:17:51 UTC
Created attachment 150165 [details]
The poudriere testport log (FreeBSD 10 amd64)
Comment 2 lightside 2014-12-04 02:12:14 UTC
Created attachment 150171 [details]
Proposed patch (with changed pkg-descr file)

Added version of the patch with changed pkg-descr file.
The description is from http://dnscrypt.org site.
Comment 3 Dmitry Marakasov freebsd_committer 2014-12-04 02:16:22 UTC
CC maintainer
Comment 4 lightside 2014-12-04 03:07:15 UTC
Created attachment 150172 [details]
Proposed patch (with additions and changes)

Added LICENSE_FILE.
Comment 5 Dmitry Marakasov freebsd_committer 2014-12-05 17:26:50 UTC
Awaiting maintainer feedback.

Also note that pkg-descr URLs which refer to a directory should end with a slash (Porters handbook, 3.2.1). No need to resend the patch.
Comment 6 Leo Vandewoestijne 2014-12-29 15:26:58 UTC
I did only little testing to see if upgrades from previous versions all go without anything unexpected for the user.
But as far as I can see that works well; thank you very much.
(approved)
Comment 7 Thomas Zander freebsd_committer 2015-01-01 18:09:05 UTC
Warning from portlint:
pkg-plist: [1]: @stopdaemon is deprecated.  The pkg(8) has a generic mechanism to provide the same function, see HANDLE_RC_SCRIPTS in pkg.conf(5).

@maintainer: Could you take a look?
Comment 8 lightside 2015-01-01 21:17:18 UTC
Created attachment 151197 [details]
Proposed patch (with additions and changes)

Hello, Thomas Zander.

(In reply to Thomas Zander from comment #7)
> Warning from portlint:
> pkg-plist: [1]: @stopdaemon is deprecated.  The pkg(8) has a generic
> mechanism to provide the same function, see HANDLE_RC_SCRIPTS in pkg.conf(5).

I guess, there is a need to just remove "@stopdaemon dnscrypt-proxy" from pkg-plist.
Like the other commiters did, e.g. on the following svn revisions: 367015, 367016, 367085, 368912.
Comment 9 Leo Vandewoestijne 2015-01-02 00:28:43 UTC
Aha; I was using portlint 2.16.1 so didn't get that warning yet.
Without "@stopdaemon dnscrypt-proxy" it's all fine to, but logically the daemon isn't stopped at "make deinstall" nor even at "pkg delete dnscrypt-proxy" as HANDLE_RC_SCRIPTS defaults to "false" instead of "YES", so -IMPO- the warning is a bit premature.
But to stick with guidelines, then yes, the last patch is best.
Comment 10 commit-hook freebsd_committer 2015-01-04 09:47:33 UTC
A commit references this bug:

Author: pi
Date: Sun Jan  4 09:46:54 UTC 2015
New revision: 376189
URL: https://svnweb.freebsd.org/changeset/ports/376189

Log:
  dns/dnscrypt-proxy: 1.4.0 -> 1.4.2

  Changes:
  https://github.com/jedisct1/dnscrypt-proxy/releases

  PR:		195664
  Submitted by:	lightside@gmx.com
  Reviewed by:	riggs
  Approved by:	freebsd@dns-lab.com (maintainer)

Changes:
  head/dns/dnscrypt-proxy/Makefile
  head/dns/dnscrypt-proxy/distinfo
  head/dns/dnscrypt-proxy/pkg-descr
  head/dns/dnscrypt-proxy/pkg-plist
Comment 11 Kurt Jaeger freebsd_committer 2015-01-04 09:47:51 UTC
Committed, thanks.